FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 04-14-2008, 11:58 PM
William Kenworthy
 
Default vmware-server-console: version `GCC_3.4' not found

quick fix: locate the equivalent system libraries, move the problematic
vmware ones out of the way and symlink to the system libs. Works fine
with vmware workstation. And wait for gentoo/vmware to catch up and fix
with the next iteration ...

I am using vmware-workstation 5, and cant justify the cost of upgrading
- not sure if this is 5 specific or a wider problem, but there are a few
messages in google about it.

BillK

On Mon, 2008-04-14 at 20:22 +0400, Vladimir Rusinov wrote:
> Hello!
>
> I'm dealing with this bug:
> http://bugs.gentoo.org/show_bug.cgi?id=217650
>
> I'm not able to run vmware-server-console-1.0.5
>
> $ eix vmware-server-console
> [D] app-emulation/vmware-server-console
> Installed versions: 1.0.5.80187(14:04:36 14.04.2008)
>
> $ vmware-server-console
> /opt/vmware/server/console/lib/bin/vmware-server-console:
> /opt/vmware/server/console/lib/lib/libgcc_s.so.1/libgcc_s.so.1: version
> `GCC_3.4' not found (required by /usr/lib/libcairo.so.2)
> /opt/vmware/server/console/lib/bin/vmware-server-console:
> /opt/vmware/server/console/lib/lib/libgcc_s.so.1/libgcc_s.so.1: version
> `GCC_3.4' not found (required by /usr/lib/libcairo.so.2)
> /opt/vmware/server/console/lib/bin/vmware-server-console:
> /opt/vmware/server/console/lib/lib/libgcc_s.so.1/libgcc_s.so.1: version
> `GCC_3.4' not found (required by /usr/lib/libcairo.so.2)
>
> eix ^gcc$
> [i] sys-devel/gcc
> Installed versions: 4.2.0(4.2)(18:40:42 16.09.2007)(-altivec -bootstrap
> -build doc fortran -gcj -gtk -hardened -ip28 -ip32r10k mudflap -multilib
> -multislot -n32 -n64 nls -nocxx -objc -objc++ -objc-gc openmp -test -vanilla)
>
> $ eix libstdc
> [i] sys-libs/libstdc++-v3
> Installed versions: 3.3.6(5)(02:07:19 10.09.2007)(-build -multilib nls
> nptl)
>
> [i] virtual/libstdc++
> Installed versions: 3.3(3.3)(03:22:09 13.06.2007)
>
> revdep-rebuild and installing gcc-3.4.6-r2 does not helps
>
> Any suggestions how to fix this?
>
> --
> Vladimir Rusinov
> Voronezh, Russia
> UNIX Admin @ Murano Software
--
William Kenworthy <billk@iinet.net.au>
Home in Perth!
--
gentoo-user@lists.gentoo.org mailing list
 

Thread Tools




All times are GMT. The time now is 07:54 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org